Debian Bug report logs - #600930
rsyslog: FTBFS (powerpc): undefined reference to `__sync_fetch_and_add_8'

version graph

Package: src:rsyslog; Maintainer for src:rsyslog is Michael Biebl <biebl@debian.org>;

Reported by: Philipp Kern <pkern@debian.org>

Date: Thu, 21 Oct 2010 14:27:01 UTC

Severity: serious

Tags: experimental

Found in version rsyslog/5.7.1-1

Fixed in version rsyslog/5.7.2-2

Done: Michael Biebl <biebl@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://bugzilla.adiscon.com/show_bug.cgi?id=202

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Michael Biebl <biebl@debian.org>:
Bug#600930; Package src:rsyslog. (Thu, 21 Oct 2010 14:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Kern <pkern@debian.org>:
New Bug report received and forwarded. Copy sent to Michael Biebl <biebl@debian.org>. (Thu, 21 Oct 2010 14:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: submit@bugs.debian.org
Subject: rsyslog: FTBFS (powerpc): undefined reference to `__sync_fetch_and_add_8'
Date: Thu, 21 Oct 2010 16:23:16 +0200
[Message part 1 (text/plain, inline)]
Source: rsyslog
Version: 5.7.1-1
Severity: serious

> sbuild (Debian sbuild) 0.60.0 (23 Feb 2010) on porpora.debian.org
> 
> ╔══════════════════════════════════════════════════════════════════════════════╗
> ║ rsyslog 5.7.1-1 (powerpc)                                  20 Oct 2010 17:38 ║
> ╚══════════════════════════════════════════════════════════════════════════════╝
[...]
> gcc -DHAVE_CONFIG_H -I. -I..  -pthread -I../runtime -I..   -g -O2 -W -Wall -Wformat-security -Wshadow -Wcast-align -Wpointer-arith -Wmissing-format-attribute -g -c -o rsyslogd-smtradfwd.o `test -f 'smtradfwd.c' || echo './'`smtradfwd.c
>   CC     rsyslogd-iminternal.o
> gcc -DHAVE_CONFIG_H -I. -I..  -pthread -I../runtime -I..   -g -O2 -W -Wall -Wformat-security -Wshadow -Wcast-align -Wpointer-arith -Wmissing-format-attribute -g -c -o rsyslogd-iminternal.o `test -f 'iminternal.c' || echo './'`iminternal.c
>   CC     rsyslogd-pidfile.o
> gcc -DHAVE_CONFIG_H -I. -I..  -pthread -I../runtime -I..   -g -O2 -W -Wall -Wformat-security -Wshadow -Wcast-align -Wpointer-arith -Wmissing-format-attribute -g -c -o rsyslogd-pidfile.o `test -f 'pidfile.c' || echo './'`pidfile.c
>   CCLD   rsyslogd
> ../runtime/.libs/librsyslog.a(librsyslog_la-queue.o): In function `doEnqSingleObj':
> /build/buildd-rsyslog_5.7.1-1-powerpc-TJBTvO/rsyslog-5.7.1/runtime/queue.c:2257: undefined reference to `__sync_fetch_and_add_8'
> /build/buildd-rsyslog_5.7.1-1-powerpc-TJBTvO/rsyslog-5.7.1/runtime/queue.c:2209: undefined reference to `__sync_fetch_and_add_8'
> /build/buildd-rsyslog_5.7.1-1-powerpc-TJBTvO/rsyslog-5.7.1/runtime/queue.c:2257: undefined reference to `__sync_fetch_and_add_8'
> /build/buildd-rsyslog_5.7.1-1-powerpc-TJBTvO/rsyslog-5.7.1/runtime/queue.c:2209: undefined reference to `__sync_fetch_and_add_8'
> /build/buildd-rsyslog_5.7.1-1-powerpc-TJBTvO/rsyslog-5.7.1/runtime/queue.c:2257: undefined reference to `__sync_fetch_and_add_8'
> ../runtime/.libs/librsyslog.a(librsyslog_la-queue.o):/build/buildd-rsyslog_5.7.1-1-powerpc-TJBTvO/rsyslog-5.7.1/runtime/queue.c:2209: more undefined references to `__sync_fetch_and_add_8' follow
> collect2: ld returned 1 exit status
> make[3]: *** [rsyslogd] Error 1
> make[3]: Leaving directory `/build/buildd-rsyslog_5.7.1-1-powerpc-TJBTvO/rsyslog-5.7.1/tools'
> make[2]: *** [all-recursive] Error 1
> make[1]: *** [all] Error 2
> make[2]: Leaving directory `/build/buildd-rsyslog_5.7.1-1-powerpc-TJBTvO/rsyslog-5.7.1'
> make[1]: Leaving directory `/build/buildd-rsyslog_5.7.1-1-powerpc-TJBTvO/rsyslog-5.7.1'
> dh_auto_build: make -j1 returned exit code 2
> make: *** [build] Error 2
> dpkg-buildpackage: error: debian/rules build gave error exit status 2
> ────────────────────────────────────────────────────────────────────────────────
> Build finished at 20101020-1741
> FAILED [dpkg-buildpackage died]
> ────────────────────────────────────────────────────────────────────────────────
> Purging /var/lib/schroot/mount/sid-experimental-powerpc-sbuild-a062a9d5-85c7-423a-bc77-5af504f5a085/build/buildd-rsyslog_5.7.1-1-powerpc-TJBTvO
> Not removing build depends: cloned chroot in use
> ────────────────────────────────────────────────────────────────────────────────
> Finished at 20101020-1741
> Build needed 00:03:09, 18880k disc space
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#600930; Package src:rsyslog. (Thu, 21 Oct 2010 14:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. (Thu, 21 Oct 2010 14:39:05 GMT) Full text and rfc822 format available.

Message #10 received at 600930@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Philipp Kern <pkern@debian.org>, 600930@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#600930: rsyslog: FTBFS (powerpc): undefined reference to `__sync_fetch_and_add_8'
Date: Thu, 21 Oct 2010 16:37:16 +0200
[Message part 1 (text/plain, inline)]
forwarded 60093 http://bugzilla.adiscon.com/show_bug.cgi?id=202
thanks

Hi Philip,

thanks for the bug report.
I already submitted a bug report upstream, so marking this one accordingly.

Cheers,
Michael

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Set Bug forwarded-to-address to 'http://bugzilla.adiscon.com/show_bug.cgi?id=202'. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Thu, 21 Oct 2010 16:03:03 GMT) Full text and rfc822 format available.

Added tag(s) experimental. Request was from Steve McIntyre <steve@einval.com> to control@bugs.debian.org. (Sat, 13 Nov 2010 18:45:02 GMT) Full text and rfc822 format available.

Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Wed, 01 Dec 2010 21:06:03 GMT) Full text and rfc822 format available.

Notification sent to Philipp Kern <pkern@debian.org>:
Bug acknowledged by developer. (Wed, 01 Dec 2010 21:06:03 GMT) Full text and rfc822 format available.

Message #19 received at 600930-close@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 600930-close@bugs.debian.org
Subject: Bug#600930: fixed in rsyslog 5.7.2-2
Date: Wed, 01 Dec 2010 21:02:51 +0000
Source: rsyslog
Source-Version: 5.7.2-2

We believe that the bug you reported is fixed in the latest version of
rsyslog, which is due to be installed in the Debian FTP archive:

rsyslog-doc_5.7.2-2_all.deb
  to main/r/rsyslog/rsyslog-doc_5.7.2-2_all.deb
rsyslog-gnutls_5.7.2-2_i386.deb
  to main/r/rsyslog/rsyslog-gnutls_5.7.2-2_i386.deb
rsyslog-gssapi_5.7.2-2_i386.deb
  to main/r/rsyslog/rsyslog-gssapi_5.7.2-2_i386.deb
rsyslog-mysql_5.7.2-2_i386.deb
  to main/r/rsyslog/rsyslog-mysql_5.7.2-2_i386.deb
rsyslog-pgsql_5.7.2-2_i386.deb
  to main/r/rsyslog/rsyslog-pgsql_5.7.2-2_i386.deb
rsyslog-relp_5.7.2-2_i386.deb
  to main/r/rsyslog/rsyslog-relp_5.7.2-2_i386.deb
rsyslog_5.7.2-2.debian.tar.gz
  to main/r/rsyslog/rsyslog_5.7.2-2.debian.tar.gz
rsyslog_5.7.2-2.dsc
  to main/r/rsyslog/rsyslog_5.7.2-2.dsc
rsyslog_5.7.2-2_i386.deb
  to main/r/rsyslog/rsyslog_5.7.2-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 600930@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Biebl <biebl@debian.org> (supplier of updated rsyslog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 01 Dec 2010 21:20:28 +0100
Source: rsyslog
Binary: rsyslog rsyslog-doc rsyslog-mysql rsyslog-pgsql rsyslog-gssapi rsyslog-gnutls rsyslog-relp
Architecture: source i386 all
Version: 5.7.2-2
Distribution: experimental
Urgency: low
Maintainer: Michael Biebl <biebl@debian.org>
Changed-By: Michael Biebl <biebl@debian.org>
Description: 
 rsyslog    - enhanced multi-threaded syslogd
 rsyslog-doc - documentation for rsyslog
 rsyslog-gnutls - TLS protocol support for rsyslog
 rsyslog-gssapi - GSSAPI authentication and encryption support for rsyslog
 rsyslog-mysql - MySQL output plugin for rsyslog
 rsyslog-pgsql - PostgreSQL output plugin for rsyslog
 rsyslog-relp - RELP protocol support for rsyslog
Closes: 600930
Changes: 
 rsyslog (5.7.2-2) experimental; urgency=low
 .
   * debian/patches/03-atomic_operations.patch
     - Fix build failures on platforms which don't have 64 bit atomic
       operations. Patch cherry-picked from upstream Git. Closes: #600930
Checksums-Sha1: 
 ebed88bf2bf99acd6eb9e0d23cd14d8298713654 1995 rsyslog_5.7.2-2.dsc
 d0673489d2f634756b49fec14ee0ece681c60c09 25239 rsyslog_5.7.2-2.debian.tar.gz
 24342fb1526780f6074aaf64cbeb056ee2047492 460342 rsyslog_5.7.2-2_i386.deb
 f8fb5d3fd622271f8da083518a47f9f0873382b0 1089550 rsyslog-doc_5.7.2-2_all.deb
 44ff37db1e0c74a17bd36be0a216630e0b64d927 107530 rsyslog-mysql_5.7.2-2_i386.deb
 07347bea30b4e752a42984c50145ec08f58a659f 107856 rsyslog-pgsql_5.7.2-2_i386.deb
 df2ad7c95470cd618e87a4519b286a6cff376d0a 114590 rsyslog-gssapi_5.7.2-2_i386.deb
 ce4366d6aed046dc7bfb517bc30bb8ffa656faae 114044 rsyslog-gnutls_5.7.2-2_i386.deb
 6f62fa10a7651c8e504943ac029828cc42a2dd51 107724 rsyslog-relp_5.7.2-2_i386.deb
Checksums-Sha256: 
 cbcfb93ea14d592ce4794c0a52200a23788a3c98e72f72f6f159a6fe9bd52feb 1995 rsyslog_5.7.2-2.dsc
 08240c27e05b1d3a619399d83791de7e76f0fe35382db6d9fb8106beca319985 25239 rsyslog_5.7.2-2.debian.tar.gz
 3330e446019bd9f431fd40dfa412bd4d7c0864b011a80b16d9be52ab4cb4e4bf 460342 rsyslog_5.7.2-2_i386.deb
 749188026342e585315faeff2c0b624d1480a7ad8364f5db5325dd010b6df224 1089550 rsyslog-doc_5.7.2-2_all.deb
 3b0493f1916ed21354b2c66daf1c87c761f99ca8df93963d18871dbedbe23606 107530 rsyslog-mysql_5.7.2-2_i386.deb
 6004258e534164f6dfa7ce29a9129813be046fbf796f6652ded8a9483dd672a2 107856 rsyslog-pgsql_5.7.2-2_i386.deb
 5191fc979193b63d71cc30418ff3466299f06685d198afb9068b343fef12e39e 114590 rsyslog-gssapi_5.7.2-2_i386.deb
 73b4f906f056d184427375ab432ca0f42baaed61aaeb068b41572022a4b47417 114044 rsyslog-gnutls_5.7.2-2_i386.deb
 b544a7aaa691491fbad9fa20104919320771d0f4377ae36ef8a4289401de219c 107724 rsyslog-relp_5.7.2-2_i386.deb
Files: 
 e3c5e1bbd5b60b26e8a5f629e7f4588d 1995 admin important rsyslog_5.7.2-2.dsc
 f17682d0ee9e6a4dedd91c709512832a 25239 admin important rsyslog_5.7.2-2.debian.tar.gz
 7ed3cc0aaf387eb4c71ab8a63b34849b 460342 admin important rsyslog_5.7.2-2_i386.deb
 4d50f15ee1052db412592920e0a41688 1089550 doc extra rsyslog-doc_5.7.2-2_all.deb
 39b6cd924fcc52d6e2eb467d84521531 107530 admin extra rsyslog-mysql_5.7.2-2_i386.deb
 c9650a83c2ccb6f08660b30aa25df6a6 107856 admin extra rsyslog-pgsql_5.7.2-2_i386.deb
 4b79dfa73222025272dfb2958f30ffd0 114590 admin extra rsyslog-gssapi_5.7.2-2_i386.deb
 9e850b705f2236d9ef8de3c7d8a5240b 114044 admin extra rsyslog-gnutls_5.7.2-2_i386.deb
 1455e2e849375834358c9b8e63dc1168 107724 admin extra rsyslog-relp_5.7.2-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJM9rLkAAoJEGrh3w1gjyLcPesP/A+on1pdxNJqvgzFb4wpRjyu
mqKmJtvyf/Y6SY7PDohwUShQ1CwQSnj1tz9Ei0Lln2zij3oOb59aEPl5CePxjTLp
PDKd6peNMxfnwVhvTqKNl0WWSwHaHheO0CyLDeJGZkV+l6B2ey79ptlWf3snhDAw
2/UhN0Rif2lWiiEZaiW4gh49hXkLFQ1GkJ+rgDOdJ/MY75kk6WAfzHXpRQIuOu9q
1A/XFJ7IcBxXNxXYzSAvqQOlGBL6tK0MHgJlkGVwMXkEa/QP1UTvyygb/o+SJ3UB
gJmUahwQE2vqUHsmVB7rluB7WZrcHyMpa+xoR/53cKV70hPeEtXV42ZzzWWBAzP3
w8r4cQG2z9WHnp4/Hzq/56LRh73x8UsFnjd3H1utdDd8N7pN/7EKdlpoTZwmyCNF
nXBfolea5lTUNdd2Yr5XsORx221n/91WCefT54fpg4495ZP4RVOL6n5B7FaZxY6E
187gJxMqmqShMSD+TWfPDvyjHleQYLuZIqnpSBeO6ngNv4nFym/TicMvri6cYHAL
CvCozvi4WWNe9S+r2IzMz2vHc8t3phNECjCE85aCYf52sQgBuUIB3eEUbLwLvhLM
rq7dZjtZe9przGo2fPIRZVSD2UGdqlH/Tc/4/HL2sXfVXZqO+oFrcSAfJmxzNdfK
tdXlb/wdkEm9rqEYbC9K
=OE64
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 30 Dec 2010 07:32:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:27:05 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.